<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddNewColumnToNewLineRequest extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('new_line_requests', function (Blueprint $table) {
            $table->integer('marketing_done_by')->nullable()->after('marketing_done')->nullable();
            $table->integer('support_done_by')->nullable()->after('support_done')->nullable();
            $table->text('support_remarks')->nullable()->after('support_done_by')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('new_line_requests', function (Blueprint $table) {
            $table->dropColumn('marketing_done_by');
            $table->dropColumn('support_done_by');
            $table->dropColumn('support_remarks');
        });
    }
}
